# Clean up previous softlinks
if [ -r usr/lib/firefox ]; then
  chroot . rm -rf usr/lib/firefox ;
fi;

# Make our softlinks
if [ -d usr/lib/firefox-3.0.12 ]; then
  (cd usr/lib ; ln -sf firefox-3.0.12 firefox );
fi;

# Set up java plugins for firefox if java installed
if [ ! -h usr/lib/mozilla/plugins/libjavaplugin_oji.so ]; then
  if [ -e usr/lib/java/plugin/i386/ns7/libjavaplugin_oji.so ]; then
    mkdir -p usr/lib/mozilla/plugins ;
    ( cd usr/lib/mozilla/plugins ; ln -sf /usr/lib/java/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so )
  elif [ -e usr/lib/java/jre/plugin/i386/ns7/libjavaplugin_oji.so ]; then
    ( cd usr/lib/mozilla/plugins ; ln -sf /usr/lib/java/jre/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so )
  fi
fi

if [ -x usr/bin/gconftool-2 ]; then
  # Set firefox as default GNOME chrome reader
  usr/bin/gconftool-2 --direct --config-source=$(usr/bin/gconftool-2 --get-default-source) --type string --set /desktop/gnome/url-handlers/chrome/command "/usr/bin/firefox \"%s\"" 1> /dev/null 2> /dev/null
fi;
